get
https://loanpro.simnang.com/api/public/api/1/data/import/details/()
This request retrieves the stage-by-stage progress for a CSV file import.
Click here to learn more about this request
LoanPro's import tool is a fast and efficient way to transfer large amounts of data. Imports can be completed manually via the LoanPro dashboard or programmatically via the API. Note the following when importing data via the API.
Importing data into LoanPro requires a series of steps. Here's a breakdown of the entire process.
- Create data import record
- Get import progress
- Validate CSV file
- Get import validation/errors
- Import validated data
- Verify imported records
Report Downloads: Usable, presigned download URLs for generated report files are available in the response payload of this step. You also need to know:
- Rejection files (for rows that failed) are generated at
validatedstatus by calling the endpoint in the Validate CSV file step. - Summary cover sheets are generated at
completedstatus by calling the endpoint in the Verify imported records step. - The bare OData entity (Get import validation/errors step) contains raw S3 keys with null URL fields.

